Subject: RE: /etc/profile in BASH
From: Earnie Boyd <[email-masked]>
To: "Masterson, Dave" <[email-masked]>
Cc: "[email-masked]'" <[email-masked]>
Date: Fri, 29 Sep 2000 12:50:47 -0700 (PDT)

--- "Masterson, Dave" <[email-masked]> wrote:
> 
> > > Also, in order to be compatible with other UNIX system 
> > > shells (Kshell), a user may have setup ~/.profile 
> > > particularly for KShell and ~/.bash_profile
> > > particularly for BASH.  Since BASH will not read
> > > ~/.profile if it finds ~/.bash_profile (or ~/.bash_login), 
> > 
> > I just tested this.  Bash reads both ~/.profile and ~/.bash_profile 
> > or ~/.bash_login.  If both ~/.bash_profile and ~/.bash_login are 
> > present then only ~/.bash_profile is executed.
> 
> If true, that sounds like a bug in BASH.  AFAIK, ~/.bash_profile (and
> ~/.bash_login) were setup to provide a simple way of ensuring that special
> BASH functionality could be isolated from other shells.  According to the
> BASH man page, after /etc/profile on login, BASH is only supposed to read
> *one of* ~/.bash_profile, ~/.bash_login, and ~/.profile (in that order).
> Are you sure your test wasn't skewed because of the "source" in /etc/profile
> (or elsewhere)?

You're right.  Removing the test for ~/.profile from /etc/profile causes only
~/.bash_profile to be executed.

I've modified my /etc/profile removing both tests.
I've created a ~/.bash_profile which tests for the ~/.bashrc and sources it if
found.

Cheers,

=====
Earnie Boyd
mailto:[email-masked]

---         <http://earniesystems.safeshopper.com>         ---
--- Cygwin: POSIX on Windows <http://gw32.freeyellow.com/> ---
---   Minimalist GNU for Windows <http://www.mingw.org/>   ---

__________________________________________________
Do You Yahoo!?
Yahoo! Photos - 35mm Quality Prints, Now Get 15 Free!
http://photos.yahoo.com/

--
Want to unsubscribe from this list?
Send a message to [email-masked]